create public schema winkel;

create table soort (
	srtc char (8) not null,
	beschrijving char (16) not null, 
	  primary key (srtc) ); 

append from soort.dos sdf to soort;
grant select on table soort to public;

create table artikel (
	art numeric(8,0)  not null,
	beschrijving char (16) not null,
	kleur char (10) not null,
	voorraad numeric(8,0) not null,
	prijs numeric(6,2) not null,
	srtc char (8) not null,
	  primary key (art),
	  foreign key (srtc) references soort (srtc) 
			     on update restrict on delete restrict );

append from artikel.dos sdf to artikel;
grant select on table artikel to public;

create table afdeling (
	afd numeric(8,0) not null,
	afdnaam char (15) not null,
	verdieping numeric(1,0) not null,
	telnr numeric(6,0) not null,
	chefnaam char (20) not null,
	  primary key (afd) );

append from afdeling.dos sdf to afdeling;
grant select on table afdeling to public;

create table leverancier (
	lev numeric(8,0) not null,
	firmanaam char (20) not null,
	adres char (20) not null,
	postc char (7) not null,
	vestplaats char (16) not null,
	  primary key (lev) );

append from leveranc.dos sdf to leverancier;
grant select on table leverancier to public;

create table inkart (
	lev numeric(8,0) not null,
	art numeric(8,0) not null,          
	prijs numeric (6,2) not null,
	  primary key (lev, art),
	  foreign key (lev) references leverancier (lev)
		      on update restrict on delete restrict, 
	  foreign key (art) references artikel (art) 
		      on update restrict on delete restrict  );

append from inkart.dos sdf to inkart;
grant select on table inkart to public;

create table verkart (
	art numeric(8,0)  not null,
	afd numeric(8,0) not null,
	  primary key (art, afd),
	  foreign key (art) references artikel (art)
			    on update restrict on delete restrict,
	  foreign key (afd) references afdeling (afd) 
			    on update restrict on delete restrict );

append from verkart.dos sdf to verkart;
grant select on table verkart to public;

create table klant (
	klant numeric(5,0) not null,
	naam char (20) not null,
	voorl char (5) not null,
	adres char (20) not null,
	postc char (7) not null,
	woonplaats char (15) not null,
	schuld numeric (6,2) not null,
	  primary key (klant) );

append from klant.dos sdf to klant;
grant select on table klant to public;

create table werknemer ( 
	w numeric(4,0) not null,
	naam char (20) not null,
	voorl char (5) not null,
	adres char (20) not null,
	postc char (7) not null,
	woonplaats char (15) not null,
	afd numeric(8,0) not null,
	funktie char (5) not null,
	  primary key (w),
	  foreign key (afd) references afdeling (afd)  
			    on update restrict on delete restrict);

append from werkneme.dos sdf to werknemer;;
grant select on table werknemer to public;

create table verkoop (
	verk numeric(7,0)  not null,
	art  numeric(8,0) not null,
	afd  numeric(8,0) not null,
	hoeveelheid numeric(3,0) not null,
	bedrag      numeric(6,2) not null,
	klant       numeric(5,0) not null,
	datum       date  not null,
	aanbet numeric(6,2) not null,
	  primary key (verk),
	  foreign key (art, afd) references verkart (art, afd)
			    on update restrict on delete restrict,
	  foreign key (klant) references klant (klant) 
			    on update restrict on delete restrict);

append from verkoop.dos sdf to verkoop;
grant select on table verkoop to public;

create table leverantie (
	l numeric(9,0) not null,
	lev numeric(8,0) not null,
	art numeric(8,0) not null,
	hoeveelheid numeric(3,0) not null,
	datum date  not null,
	  primary key (l),
	  foreign key (lev, art) references inkart (lev, art) 
			    on update restrict on delete restrict);

append from leverant.dos sdf to leverantie; 
grant select on table leverantie to public;










